POST
/
funnels
/
builder
/
save-page-data
/
{id}
cURL
curl --request POST \
--url https://services.leadconnectorhq.com/funnels/builder/save-page-data/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnelId": "QMDQGTt8ZZSnOwORl2Bq",
"pageData": {},
"pageVersion": 123,
"pageType": "<string>",
"manualSave": true,
"integrations": {},
"meta": {},
"schemaMarkupId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
funnelId: 'QMDQGTt8ZZSnOwORl2Bq',
pageData: {},
pageVersion: 123,
pageType: '<string>',
manualSave: true,
integrations: {},
meta: {},
schemaMarkupId: '<string>'
})
};
fetch('https://services.leadconnectorhq.com/funnels/builder/save-page-data/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/builder/save-page-data/{id}"
payload = {
"funnelId": "QMDQGTt8ZZSnOwORl2Bq",
"pageData": {},
"pageVersion": 123,
"pageType": "<string>",
"manualSave": True,
"integrations": {},
"meta": {},
"schemaMarkupId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
201 - undefined
Last modified on May 19, 2026
Was this page helpful?
⌘I
cURL
curl --request POST \
--url https://services.leadconnectorhq.com/funnels/builder/save-page-data/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnelId": "QMDQGTt8ZZSnOwORl2Bq",
"pageData": {},
"pageVersion": 123,
"pageType": "<string>",
"manualSave": true,
"integrations": {},
"meta": {},
"schemaMarkupId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
funnelId: 'QMDQGTt8ZZSnOwORl2Bq',
pageData: {},
pageVersion: 123,
pageType: '<string>',
manualSave: true,
integrations: {},
meta: {},
schemaMarkupId: '<string>'
})
};
fetch('https://services.leadconnectorhq.com/funnels/builder/save-page-data/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/builder/save-page-data/{id}"
payload = {
"funnelId": "QMDQGTt8ZZSnOwORl2Bq",
"pageData": {},
"pageVersion": 123,
"pageType": "<string>",
"manualSave": True,
"integrations": {},
"meta": {},
"schemaMarkupId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)